/* Generated By:JJTree: Do not edit this line. ASTscalarDeclaration.java Version 4.3 */
/* JavaCCOptions:MULTI=true,NODE_USES_PARSER=false,VISITOR=true,TRACK_TOKENS=false,NODE_PREFIX=AST,NODE_EXTENDS=,NODE_FACTORY=,SUPPORT_CLASS_VISIBILITY_PUBLIC=true */
public
class ASTscalarDeclaration extends SimpleNode {
  public ASTscalarDeclaration(int id) {
    super(id);
  }

  public ASTscalarDeclaration(CminusParser p, int id) {
    super(p, id);
  }


  /** Accept the visitor. **/
  public Object jjtAccept(CminusParserVisitor visitor, Object data) {
    return visitor.visit(this, data);
  }
}
/* JavaCC - OriginalChecksum=32ff4af1b4a8620858bacef93aa479ac (do not edit this line) */
